Detalhe de item do catálogo
curl --request GET \
--url https://services.staging.app.dados.rio/catalogo/api/v1/catalog/{id} \
--header 'X-Auth-Request-Token: <api-key>'import requests
url = "https://services.staging.app.dados.rio/catalogo/api/v1/catalog/{id}"
headers = {"X-Auth-Request-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Request-Token': '<api-key>'}};
fetch('https://services.staging.app.dados.rio/catalogo/api/v1/catalog/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "salesforce",
"status": "active",
"title": "<string>",
"type": "service",
"updated_at": "2023-11-07T05:31:56Z",
"bairros": [
"<string>"
],
"description": "<string>",
"image_url": "<string>",
"modalidade": "<string>",
"organization": "<string>",
"short_desc": "<string>",
"source_data": {
"canonical_id": "<string>",
"id": "<string>",
"slug": "<string>",
"tema_especifico": "<string>",
"tema_geral": "<string>",
"_catalog_object_type": "<string>"
},
"source_updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"target_audience": {
"escolaridade": [
"<string>"
],
"renda": "<string>",
"deficiencia": [
"<string>"
],
"etnia": [
"<string>"
],
"faixa_etaria": [
"<string>"
],
"genero": [
"<string>"
],
"pcd": true
},
"url": "<string>",
"valid_from": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z"
}{}{}{}catálogo
Detalhe de item do catálogo
Retorna todos os campos de um item incluindo source_data original.
GET
/
api
/
v1
/
catalog
/
{id}
Detalhe de item do catálogo
Authorizations
JWT injetado pelo Istio via header X-Auth-Request-Token
Path Parameters
UUID v4 do item
Response
OK
Required string length:
1 - 255Pattern:
\SAvailable options:
salesforce, courses, jobs, mei, app-go-api, typesense Available options:
active, inactive, draft Required string length:
1 - 500Pattern:
\SAvailable options:
service, course, job, mei_opportunity Required array length:
1 - 50 elementsRequired string length:
1 - 500Pattern:
\SRequired string length:
1 - 16000Required string length:
1 - 2048Pattern:
^[Hh][Tt][Tt][Pp][Ss]?://[^/?#@\s]+($|[/?#]($|.*\S$))Required string length:
1 - 100Required string length:
1 - 500Required string length:
1 - 2000Show child attributes
Show child attributes
Required array length:
1 - 50 elementsRequired string length:
1 - 500Pattern:
\SShow child attributes
Show child attributes
Required string length:
1 - 2048Pattern:
^[Hh][Tt][Tt][Pp][Ss]?://[^/?#@\s]+($|[/?#]($|.*\S$))